//------------------------------------------------------------------
#property copyright "www.forex-tsd.com"
#property link      "www.forex-tsd.com"
//------------------------------------------------------------------
#property indicator_chart_window
#property indicator_buffers 0

//
//
//
//
//

extern double PriceDifference = 5.0;
extern bool   alertsOn        = true;
extern bool   alertsOnCurrent = true;
extern bool   alertsMessage   = true;
extern bool   alertsSound     = false;
extern bool   alertsEmail     = false;
extern bool   showComment     = true;

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()   {              return(0); }
int deinit() { Comment(""); return(0); }
int start()
{
   double pipMultiplier = 1; if (Digits==3 || Digits==5) pipMultiplier = 10;
   double diff;

   if (alertsOn)
   {
      if (alertsOnCurrent)
            diff = Close[0]-Open[0];
      else  diff = Close[1]-Open[1];
      
      //
      //
      //
      //
      //
      
      if (MathAbs(diff)>(PriceDifference*Point*pipMultiplier))
      {
         if (diff<0)
               doAlert("price difference broken down");
         else  doAlert("price difference broken up");
      }         
      if (showComment) Comment("current price difference is : "+DoubleToStr(diff/(Point*pipMultiplier),2)+" pips");
   }
   return(0);
}

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

void doAlert(string doWhat)
{
   static string   previousAlert="nothing";
   static datetime previousTime;
   string message;
   
   if (previousAlert != doWhat || previousTime != Time[0]) {
       previousAlert  = doWhat;
       previousTime   = Time[0];

       //
       //
       //
       //
       //

       message =  Symbol()+" at "+TimeToStr(TimeLocal(),TIME_SECONDS)+" "+doWhat;
          if (alertsMessage) Alert(message);
          if (alertsEmail)   SendMail(Symbol()+" simple difference alert",message);
          if (alertsSound)   PlaySound("alert2.wav");
   }
}

